#! /usr/bin/env node
"use strict";
var path = require('path');
var build_1 = require('./build');
var start_watch_1 = require('./start-watch');
var run_angular_cli_1 = require('./run-angular-cli');
var supportedFlags = ['-no-watch', '-no-serve'];
var args = process.argv.slice(2);
var flags = [];
args = args.reduce(function (accr, value) {
    supportedFlags.indexOf(value) > -1 ? flags.push(value) : accr.push(value);
    return accr;
}, []);
var runWatch = flags.indexOf('-no-watch') === -1;
var runAngularCliServe = flags.indexOf('-no-serve') === -1;
var configFilePath = args[0] || 'angular-playground.json';
var configFile = path.resolve(configFilePath);
var config;
try {
    config = require(configFile.replace(/.json$/, ''));
}
catch (e) {
    process.stdout.write("[angular-playground]: \u001B[31mFailed to load config file " + configFile + "\u001B[0m\n");
    process.exit(1);
}
build_1.build(config.sourceRoot);
if (runWatch) {
    start_watch_1.startWatch(config, function () { return build_1.build(config.sourceRoot); });
}
if (runAngularCliServe && config.angularCli) {
    run_angular_cli_1.runAngularCli(config.angularCli);
}
